﻿using System;
using System.Windows.Forms;

namespace BuildExplorer
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main(string[] args)
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            var b = new BuildExplorerForm() { commandLine = new CommandLine(args) };
            if (b.commandLine.ShowHelp)
            {
                MessageBox.Show("Usage:   BuildExplorer [/collection:teamProjectCollectionUrl buildUri]\n"
                              + "Example: BuildExplorer /collection:http://mytfs:8080/tfs/mycollection vstfs:///Build/Build/1234"
                              , "BuildExplorer");
                return;
            }

            Application.Run(b);
        }
    }
}
